org.springframework.web.servlet.support

## Class SessionFlashMapManager

- java.lang.Object
- - org.springframework.web.servlet.support.AbstractFlashMapManager
  - - org.springframework.web.servlet.support.SessionFlashMapManager

All Implemented Interfaces:
  FlashMapManager

    public class SessionFlashMapManager
    extends AbstractFlashMapManager

Store and retrieve `FlashMap` instances to and from the HTTP session.

Since:
  3.1.1
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from class org.springframework.web.servlet.support.AbstractFlashMapManager

`logger`

### Constructor Summary

Constructors
Constructor and Description
`SessionFlashMapManager()`

### Method Summary

Methods
`protected List<FlashMap>` `retrieveFlashMaps(HttpServletRequest request)` Retrieve saved FlashMap instances from the HTTP Session.
`protected void` `updateFlashMaps(List<FlashMap> flashMaps, HttpServletRequest request, HttpServletResponse response)` Save the given FlashMap instance, if not empty, in the HTTP session.

### Methods inherited from class org.springframework.web.servlet.support.AbstractFlashMapManager

`getFlashMapTimeout, getUrlPathHelper, isFlashMapForRequest, retrieveAndUpdate, saveOutputFlashMap, setFlashMapTimeout, setUrlPathHelper`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionFlashMapManager

    public SessionFlashMapManager()

### Method Detail

#### retrieveFlashMaps

    protected List<FlashMap> retrieveFlashMaps(HttpServletRequest request)

Retrieve saved FlashMap instances from the HTTP Session.

Does not cause an HTTP session to be created but may update it if a FlashMap matching the current request is found or there are expired FlashMap to be removed.

Specified by:
  `retrieveFlashMaps` in class `AbstractFlashMapManager`
Parameters:
  `request` - the current request
Returns:
  a List with FlashMap instances or `null`

#### updateFlashMaps

    protected void updateFlashMaps(List<FlashMap> flashMaps,
                       HttpServletRequest request,
                       HttpServletResponse response)

Save the given FlashMap instance, if not empty, in the HTTP session.

Specified by:
  `updateFlashMaps` in class `AbstractFlashMapManager`
Parameters:
  `flashMaps` - a non-empty list of FlashMap instances to save
  `request` - the current request
  `response` - the current response